%define		extname	dash-to-panel
Summary:	Integrated icon taskbar and status panel for Gnome Shell
Name:		gnome-shell-extension-%{extname}
Version:	68
Release:	2
License:	GPL-2.0-or-later
Source0:	https://github.com/home-sweet-gnome/dash-to-panel/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	a7ea7c04220c4f88085f8b8b24b01035
# https://github.com/home-sweet-gnome/dash-to-panel/pull/1948
Patch0:		system-install-paths.patch
URL:		https://github.com/home-sweet-gnome/dash-to-panel
BuildRequires:	%{_bindir}/glib-compile-schemas
BuildRequires:	gettext
Requires:	gnome-shell >= 45
BuildArch:	noarch

%description
Dash to Panel is an icon taskbar for Gnome Shell. This extension moves
the dash into the gnome main panel so that the application launchers
and system tray are combined into a single panel, similar to that
found in KDE Plasma and Windows 7+. A separate dock is no longer
needed for easy access to running and favorited applications.

%prep
%setup -q -n %{extname}-%{version}
%patch -P0 -p1

%build
%{__make} VERSION=%{version}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install VERSION=%{version} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{extname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{extname}.lang
%defattr(644,root,root,755)
%doc README.md
%{_datadir}/gnome-shell/extensions/dash-to-panel@jderose9.github.com
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extname}.gschema.xml
%changelog
* Sun Jun 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-shell-extension-dash-to-panel.git;a=log;h=master

* Sun Jun 22 2025 Jan Rękorajski <baggins@pld-linux.org> 76257ab
- rel 2, update glib schemas in post

* Sun Jun 22 2025 Jan Rękorajski <baggins@pld-linux.org> 985526d
- new

